Main Page Widgets Namespaces Book

# cellrenderer.h File Reference

## Namespaces
namespace | Glib
namespace | Gtk
## Enumerations
enum | CellRendererMode { CELL_RENDERER_MODE_INERT, CELL_RENDERER_MODE_ACTIVATABLE, CELL_RENDERER_MODE_EDITABLE }
enum | CellRendererState { CELL_RENDERER_SELECTED = 1 << 0, CELL_RENDERER_PRELIT = 1 << 1, CELL_RENDERER_INSENSITIVE = 1 << 2, CELL_RENDERER_SORTED = 1 << 3, CELL_RENDERER_FOCUSED = 1 << 4 }
## Functions
CellRendererState | operator& (CellRendererState lhs, CellRendererState rhs)
CellRendererState& | operator&= (CellRendererState& lhs, CellRendererState rhs)
CellRendererState | operator^ (CellRendererState lhs, CellRendererState rhs)
CellRendererState& | operator^= (CellRendererState& lhs, CellRendererState rhs)
CellRendererState | operator| (CellRendererState lhs, CellRendererState rhs)
CellRendererState& | operator|= (CellRendererState& lhs, CellRendererState rhs)
CellRendererState | operator~ (CellRendererState flags)